.vis .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10
}

.vis-active {
    box-shadow: 0 0 10px #86d5f8
}

.vis [class*=span] {
    min-height: 0;
    width: auto
}

div.vis-configuration {
    position: relative;
    display: block;
    float: left;
    font-size: 12px
}

div.vis-configuration-wrapper {
    display: block;
    width: 700px
}

div.vis-configuration-wrapper::after {
    clear: both;
    content: "";
    display: block
}

div.vis-configuration.vis-config-option-container {
    display: block;
    width: 495px;
    background-color: #fff;
    border: 2px solid #f7f8fa;
    border-radius: 4px;
    margin-top: 20px;
    left: 10px;
    padding-left: 5px
}

div.vis-configuration.vis-config-button {
    display: block;
    width: 495px;
    height: 25px;
    vertical-align: middle;
    line-height: 25px;
    background-color: #f7f8fa;
    border: 2px solid #ceced0;
    border-radius: 4px;
    margin-top: 20px;
    left: 10px;
    padding-left: 5px;
    cursor: pointer;
    margin-bottom: 30px
}

div.vis-configuration.vis-config-button.hover {
    background-color: #4588e6;
    border: 2px solid #214373;
    color: #fff
}

div.vis-configuration.vis-config-item {
    display: block;
    float: left;
    width: 495px;
    height: 25px;
    vertical-align: middle;
    line-height: 25px
}

div.vis-configuration.vis-config-item.vis-config-s2 {
    left: 10px;
    background-color: #f7f8fa;
    padding-left: 5px;
    border-radius: 3px
}

div.vis-configuration.vis-config-item.vis-config-s3 {
    left: 20px;
    background-color: #e4e9f0;
    padding-left: 5px;
    border-radius: 3px
}

div.vis-configuration.vis-config-item.vis-config-s4 {
    left: 30px;
    background-color: #cfd8e6;
    padding-left: 5px;
    border-radius: 3px
}

div.vis-configuration.vis-config-header {
    font-size: 18px;
    font-weight: 700
}

div.vis-configuration.vis-config-label {
    width: 120px;
    height: 25px;
    line-height: 25px
}

div.vis-configuration.vis-config-label.vis-config-s3 {
    width: 110px
}

div.vis-configuration.vis-config-label.vis-config-s4 {
    width: 100px
}

div.vis-configuration.vis-config-colorBlock {
    top: 1px;
    width: 30px;
    height: 19px;
    border: 1px solid #444;
    border-radius: 2px;
    padding: 0;
    margin: 0;
    cursor: pointer
}

input.vis-configuration.vis-config-checkbox {
    left: -5px
}

input.vis-configuration.vis-config-rangeinput {
    position: relative;
    top: -5px;
    width: 60px;
    padding: 1px;
    margin: 0;
    pointer-events: none
}

input.vis-configuration.vis-config-range {
    -webkit-appearance: none;
    border: 0 solid #fff;
    background-color: rgba(0, 0, 0, 0);
    width: 300px;
    height: 20px
}

input.vis-configuration.vis-config-range::-webkit-slider-runnable-track {
    width: 300px;
    height: 5px;
    background: #dedede;
    background: -moz-linear-gradient(top, #dedede 0, #c8c8c8 99%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0, #dedede), color-stop(99%, #c8c8c8));
    background: -webkit-linear-gradient(top, #dedede 0, #c8c8c8 99%);
    background: -o-linear-gradient(top, #dedede 0, #c8c8c8 99%);
    background: -ms-linear-gradient(top, #dedede 0, #c8c8c8 99%);
    background: linear-gradient(to bottom, #dedede 0, #c8c8c8 99%);
    border: 1px solid #999;
    box-shadow: #aaa 0 0 3px 0;
    border-radius: 3px
}

input.vis-configuration.vis-config-range::-webkit-slider-thumb {
    -webkit-appearance: none;
    border: 1px solid #14334b;
    height: 17px;
    width: 17px;
    border-radius: 50%;
    background: #3876c2;
    background: -moz-linear-gradient(top, #3876c2 0, #385380 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0, #3876c2), color-stop(100%, #385380));
    background: -webkit-linear-gradient(top, #3876c2 0, #385380 100%);
    background: -o-linear-gradient(top, #3876c2 0, #385380 100%);
    background: -ms-linear-gradient(top, #3876c2 0, #385380 100%);
    background: linear-gradient(to bottom, #3876c2 0, #385380 100%);
    box-shadow: #111927 0 0 1px 0;
    margin-top: -7px
}

input.vis-configuration.vis-config-range:focus {
    outline: 0
}

input.vis-configuration.vis-config-range:focus::-webkit-slider-runnable-track {
    background: #9d9d9d;
    background: -moz-linear-gradient(top, #9d9d9d 0, #c8c8c8 99%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0, #9d9d9d), color-stop(99%, #c8c8c8));
    background: -webkit-linear-gradient(top, #9d9d9d 0, #c8c8c8 99%);
    background: -o-linear-gradient(top, #9d9d9d 0, #c8c8c8 99%);
    background: -ms-linear-gradient(top, #9d9d9d 0, #c8c8c8 99%);
    background: linear-gradient(to bottom, #9d9d9d 0, #c8c8c8 99%)
}

input.vis-configuration.vis-config-range::-moz-range-track {
    width: 300px;
    height: 10px;
    background: #dedede;
    background: -moz-linear-gradient(top, #dedede 0, #c8c8c8 99%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0, #dedede), color-stop(99%, #c8c8c8));
    background: -webkit-linear-gradient(top, #dedede 0, #c8c8c8 99%);
    background: -o-linear-gradient(top, #dedede 0, #c8c8c8 99%);
    background: -ms-linear-gradient(top, #dedede 0, #c8c8c8 99%);
    background: linear-gradient(to bottom, #dedede 0, #c8c8c8 99%);
    border: 1px solid #999;
    box-shadow: #aaa 0 0 3px 0;
    border-radius: 3px
}

input.vis-configuration.vis-config-range::-moz-range-thumb {
    border: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background: #385380
}

input.vis-configuration.vis-config-range:-moz-focusring {
    outline: 1px solid #fff;
    outline-offset: -1px
}

input.vis-configuration.vis-config-range::-ms-track {
    width: 300px;
    height: 5px;
    background: 0 0;
    border-color: transparent;
    border-width: 6px 0;
    color: transparent
}

input.vis-configuration.vis-config-range::-ms-fill-lower {
    background: #777;
    border-radius: 10px
}

input.vis-configuration.vis-config-range::-ms-fill-upper {
    background: #ddd;
    border-radius: 10px
}

input.vis-configuration.vis-config-range::-ms-thumb {
    border: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background: #385380
}

input.vis-configuration.vis-config-range:focus::-ms-fill-lower {
    background: #888
}

input.vis-configuration.vis-config-range:focus::-ms-fill-upper {
    background: #ccc
}

.vis-configuration-popup {
    position: absolute;
    background: rgba(57, 76, 89, .85);
    border: 2px solid #f2faff;
    line-height: 30px;
    height: 30px;
    width: 150px;
    text-align: center;
    color: #fff;
    font-size: 14px;
    border-radius: 4px;
    -webkit-transition: opacity .3s ease-in-out;
    -moz-transition: opacity .3s ease-in-out;
    transition: opacity .3s ease-in-out
}

.vis-configuration-popup:after,
.vis-configuration-popup:before {
    left: 100%;
    top: 50%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none
}

.vis-configuration-popup:after {
    border-color: rgba(136, 183, 213, 0);
    border-left-color: rgba(57, 76, 89, .85);
    border-width: 8px;
    margin-top: -8px
}

.vis-configuration-popup:before {
    border-color: rgba(194, 225, 245, 0);
    border-left-color: #f2faff;
    border-width: 12px;
    margin-top: -12px
}

div.vis-tooltip {
    position: absolute;
    visibility: hidden;
    padding: 5px;
    white-space: nowrap;
    font-family: verdana;
    font-size: 14px;
    color: #000;
    background-color: #f5f4ed;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    border: 1px solid #808074;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, .2);
    pointer-events: none;
    z-index: 5
}

.vis-current-time {
    background-color: #ff7f6e;
    width: 2px;
    z-index: 1;
    pointer-events: none
}

.vis-rolling-mode-btn {
    height: 40px;
    width: 40px;
    position: absolute;
    top: 7px;
    right: 20px;
    border-radius: 50%;
    font-size: 28px;
    cursor: pointer;
    opacity: .8;
    color: #fff;
    font-weight: 700;
    text-align: center;
    background: #3876c2
}

.vis-rolling-mode-btn:before {
    content: "\26F6"
}

.vis-rolling-mode-btn:hover {
    opacity: 1
}

.vis-custom-time {
    background-color: #6e94ff;
    width: 2px;
    cursor: move;
    z-index: 1
}

.vis-panel.vis-background.vis-horizontal .vis-grid.vis-horizontal {
    position: absolute;
    width: 100%;
    height: 0;
    border-bottom: 1px solid
}

.vis-panel.vis-background.vis-horizontal .vis-grid.vis-minor {
    border-color: #e5e5e5
}

.vis-panel.vis-background.vis-horizontal .vis-grid.vis-major {
    border-color: #bfbfbf
}

.vis-data-axis .vis-y-axis.vis-major {
    width: 100%;
    position: absolute;
    color: #4d4d4d;
    white-space: nowrap
}

.vis-data-axis .vis-y-axis.vis-major.vis-measure {
    padding: 0;
    margin: 0;
    border: 0;
    visibility: hidden;
    width: auto
}

.vis-data-axis .vis-y-axis.vis-minor {
    position: absolute;
    width: 100%;
    color: #bebebe;
    white-space: nowrap
}

.vis-data-axis .vis-y-axis.vis-minor.vis-measure {
    padding: 0;
    margin: 0;
    border: 0;
    visibility: hidden;
    width: auto
}

.vis-data-axis .vis-y-axis.vis-title {
    position: absolute;
    color: #4d4d4d;
    white-space: nowrap;
    bottom: 20px;
    text-align: center
}

.vis-data-axis .vis-y-axis.vis-title.vis-measure {
    padding: 0;
    margin: 0;
    visibility: hidden;
    width: auto
}

.vis-data-axis .vis-y-axis.vis-title.vis-left {
    bottom: 0;
    -webkit-transform-origin: left top;
    -moz-transform-origin: left top;
    -ms-transform-origin: left top;
    -o-transform-origin: left top;
    transform-origin: left bottom;
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    transform: rotate(-90deg)
}

.vis-data-axis .vis-y-axis.vis-title.vis-right {
    bottom: 0;
    -webkit-transform-origin: right bottom;
    -moz-transform-origin: right bottom;
    -ms-transform-origin: right bottom;
    -o-transform-origin: right bottom;
    transform-origin: right bottom;
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    transform: rotate(90deg)
}

.vis-legend {
    background-color: rgba(247, 252, 255, .65);
    padding: 5px;
    border: 1px solid #b3b3b3;
    box-shadow: 2px 2px 10px rgba(154, 154, 154, .55)
}

.vis-legend-text {
    white-space: nowrap;
    display: inline-block
}

.vis-item {
    position: absolute;
    color: #1a1a1a;
    border-color: #97b0f8;
    border-width: 1px;
    background-color: #d5ddf6;
    display: inline-block;
    z-index: 1
}

.vis-item.vis-selected {
    border-color: #ffc200;
    background-color: #fff785;
    z-index: 2
}

.vis-editable.vis-selected {
    cursor: move
}

.vis-item.vis-point.vis-selected {
    background-color: #fff785
}

.vis-item.vis-box {
    text-align: center;
    border-style: solid;
    border-radius: 2px
}

.vis-item.vis-point {
    background: 0 0
}

.vis-item.vis-dot {
    position: absolute;
    padding: 0;
    border-width: 4px;
    border-style: solid;
    border-radius: 4px
}

.vis-item.vis-range {
    border-style: solid;
    border-radius: 2px;
    box-sizing: border-box
}

.vis-item.vis-background {
    border: none;
    background-color: rgba(213, 221, 246, .4);
    box-sizing: border-box;
    padding: 0;
    margin: 0
}

.vis-item .vis-item-overflow {
    position: relative;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    overflow: hidden
}

.vis-item-visible-frame {
    white-space: nowrap
}

.vis-item.vis-range .vis-item-content {
    position: relative;
    display: inline-block
}

.vis-item.vis-background .vis-item-content {
    position: absolute;
    display: inline-block
}

.vis-item.vis-line {
    padding: 0;
    position: absolute;
    width: 0;
    border-left-width: 1px;
    border-left-style: solid
}

.vis-item .vis-item-content {
    white-space: nowrap;
    box-sizing: border-box;
    padding: 5px
}

.vis-item .vis-onUpdateTime-tooltip {
    position: absolute;
    background: #4f81bd;
    color: #fff;
    width: 200px;
    text-align: center;
    white-space: nowrap;
    padding: 5px;
    border-radius: 1px;
    transition: .4s;
    -o-transition: .4s;
    -moz-transition: .4s;
    -webkit-transition: .4s
}

.vis-item .vis-delete,
.vis-item .vis-delete-rtl {
    position: absolute;
    top: 0;
    width: 24px;
    height: 24px;
    box-sizing: border-box;
    padding: 0 5px;
    cursor: pointer;
    -webkit-transition: background .2s linear;
    -moz-transition: background .2s linear;
    -ms-transition: background .2s linear;
    -o-transition: background .2s linear;
    transition: background .2s linear
}

.vis-item .vis-delete {
    right: -24px
}

.vis-item .vis-delete-rtl {
    left: -24px
}

.vis-item .vis-delete-rtl:after,
.vis-item .vis-delete:after {
    content: "\00D7";
    color: red;
    font-family: arial, sans-serif;
    font-size: 22px;
    font-weight: 700;
    -webkit-transition: color .2s linear;
    -moz-transition: color .2s linear;
    -ms-transition: color .2s linear;
    -o-transition: color .2s linear;
    transition: color .2s linear
}

.vis-item .vis-delete-rtl:hover,
.vis-item .vis-delete:hover {
    background: red
}

.vis-item .vis-delete-rtl:hover:after,
.vis-item .vis-delete:hover:after {
    color: #fff
}

.vis-item .vis-drag-center {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    cursor: move
}

.vis-item.vis-range .vis-drag-left {
    position: absolute;
    width: 24px;
    max-width: 20%;
    min-width: 2px;
    height: 100%;
    top: 0;
    left: -4px;
    cursor: w-resize
}

.vis-item.vis-range .vis-drag-right {
    position: absolute;
    width: 24px;
    max-width: 20%;
    min-width: 2px;
    height: 100%;
    top: 0;
    right: -4px;
    cursor: e-resize
}

.vis-range.vis-item.vis-readonly .vis-drag-left,
.vis-range.vis-item.vis-readonly .vis-drag-right {
    cursor: auto
}

.vis-itemset {
    position: relative;
    padding: 0;
    margin: 0;
    box-sizing: border-box
}

.vis-itemset .vis-background,
.vis-itemset .vis-foreground {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: visible
}

.vis-axis {
    position: absolute;
    width: 100%;
    height: 0;
    left: 0;
    z-index: 1
}

.vis-foreground .vis-group {
    position: relative;
    box-sizing: border-box;
    border-bottom: 1px solid #bfbfbf
}

.vis-foreground .vis-group:last-child {
    border-bottom: none
}

.vis-nesting-group {
    cursor: pointer
}

.vis-nested-group {
    background: #f5f5f5
}

.vis-label.vis-nesting-group.expanded:before {
    content: "\25BC"
}

.vis-label.vis-nesting-group.collapsed-rtl:before {
    content: "\25C0"
}

.vis-label.vis-nesting-group.collapsed:before {
    content: "\25B6"
}

.vis-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10
}

.vis-labelset {
    position: relative;
    overflow: hidden;
    box-sizing: border-box
}

.vis-labelset .vis-label {
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    color: #4d4d4d;
    box-sizing: border-box
}

.vis-labelset .vis-label {
    border-bottom: 1px solid #bfbfbf
}

.vis-labelset .vis-label.draggable {
    cursor: pointer
}

.vis-labelset .vis-label:last-child {
    border-bottom: none
}

.vis-labelset .vis-label .vis-inner {
    display: inline-block;
    padding: 5px
}

.vis-labelset .vis-label .vis-inner.vis-hidden {
    padding: 0
}

.vis-panel {
    position: absolute;
    padding: 0;
    margin: 0;
    box-sizing: border-box
}

.vis-panel.vis-bottom,
.vis-panel.vis-center,
.vis-panel.vis-left,
.vis-panel.vis-right,
.vis-panel.vis-top {
    border: 1px #bfbfbf
}

.vis-panel.vis-center,
.vis-panel.vis-left,
.vis-panel.vis-right {
    border-top-style: solid;
    border-bottom-style: solid;
    overflow: hidden
}

.vis-left.vis-panel.vis-vertical-scroll,
.vis-right.vis-panel.vis-vertical-scroll {
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll
}

.vis-left.vis-panel.vis-vertical-scroll {
    direction: rtl
}

.vis-left.vis-panel.vis-vertical-scroll .vis-content {
    direction: ltr
}

.vis-right.vis-panel.vis-vertical-scroll {
    direction: ltr
}

.vis-right.vis-panel.vis-vertical-scroll .vis-content {
    direction: rtl
}

.vis-panel.vis-bottom,
.vis-panel.vis-center,
.vis-panel.vis-top {
    border-left-style: solid;
    border-right-style: solid
}

.vis-background {
    overflow: hidden
}

.vis-panel>.vis-content {
    position: relative
}

.vis-panel .vis-shadow {
    position: absolute;
    width: 100%;
    height: 1px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .8)
}

.vis-panel .vis-shadow.vis-top {
    top: -1px;
    left: 0
}

.vis-panel .vis-shadow.vis-bottom {
    bottom: -1px;
    left: 0
}

.vis-graph-group0 {
    fill: #4f81bd;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #4f81bd
}

.vis-graph-group1 {
    fill: #f79646;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #f79646
}

.vis-graph-group2 {
    fill: #8c51cf;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #8c51cf
}

.vis-graph-group3 {
    fill: #75c841;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #75c841
}

.vis-graph-group4 {
    fill: #ff0100;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #ff0100
}

.vis-graph-group5 {
    fill: #37d8e6;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #37d8e6
}

.vis-graph-group6 {
    fill: #042662;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #042662
}

.vis-graph-group7 {
    fill: #00ff26;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #00ff26
}

.vis-graph-group8 {
    fill: #f0f;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #f0f
}

.vis-graph-group9 {
    fill: #8f3938;
    fill-opacity: 0;
    stroke-width: 2px;
    stroke: #8f3938
}

.vis-timeline .vis-fill {
    fill-opacity: .1;
    stroke: none
}

.vis-timeline .vis-bar {
    fill-opacity: .5;
    stroke-width: 1px
}

.vis-timeline .vis-point {
    stroke-width: 2px;
    fill-opacity: 1
}

.vis-timeline .vis-legend-background {
    stroke-width: 1px;
    fill-opacity: .9;
    fill: #fff;
    stroke: #c2c2c2
}

.vis-timeline .vis-outline {
    stroke-width: 1px;
    fill-opacity: 1;
    fill: #fff;
    stroke: #e5e5e5
}

.vis-timeline .vis-icon-fill {
    fill-opacity: .3;
    stroke: none
}

.vis-time-axis {
    position: relative;
    overflow: hidden
}

.vis-time-axis.vis-foreground {
    top: 0;
    left: 0;
    width: 100%
}

.vis-time-axis.vis-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%
}

.vis-time-axis .vis-text {
    position: absolute;
    color: #4d4d4d;
    padding: 3px;
    overflow: hidden;
    box-sizing: border-box;
    white-space: nowrap
}

.vis-time-axis .vis-text.vis-measure {
    position: absolute;
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    visibility: hidden
}

.vis-time-axis .vis-grid.vis-vertical {
    position: absolute;
    border-left: 1px solid
}

.vis-time-axis .vis-grid.vis-vertical-rtl {
    position: absolute;
    border-right: 1px solid
}

.vis-time-axis .vis-grid.vis-minor {
    border-color: #e5e5e5
}

.vis-time-axis .vis-grid.vis-major {
    border-color: #bfbfbf
}

.vis-timeline {
    position: relative;
    border: 1px solid #bfbfbf;
    overflow: hidden;
    padding: 0;
    margin: 0;
    box-sizing: border-box
}